%global cardsets_minimal_ver 2.2.0

Name:           PySolFC
Version:        2.21.0
Release:    1%{?dist}
Summary:        A collection of solitaire card games
License:        GPL-2.0-or-later
URL:            https://pysolfc.sourceforge.io
Source0:        https://downloads.sourceforge.net/pysolfc/%{name}-%{version}.tar.xz
Source1:        pysol-start-script
Source2:        https://downloads.sourceforge.net/pysolfc/PySolFC-Cardsets--Minimal-%{cardsets_minimal_ver}.tar.xz
Patch0:         PySolFC-desktop-exec.patch
Patch1:         PySolFC-pycotap_not_required_to_run.patch
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  desktop-file-utils
BuildRequires:  perl-interpreter


Requires:       python%{python3_pkgversion}-imaging
Requires:       tile
Requires:       python%{python3_pkgversion}-pygame
Requires:       tcl
Requires:       tk
Requires:       tix
Requires:       python%{python3_pkgversion}-tkinter
Requires:       python%{python3_pkgversion}-imaging-tk
Requires:       python%{python3_pkgversion}-random2

Provides:       pysol = %{version}-%{release}

%description
%{name} is a collection of more than 1000 solitaire card games. It is a fork
of PySol solitaire. Its features include modern look and feel (uses Tile widget
set), multiple cardsets and tableau backgrounds, sound, unlimited undo, player
statistics, a hint system, demo games, a solitaire wizard, support for user
written plug-ins, an integrated HTML help browser, and lots of documentation.

%prep
%autosetup -p1 -a2

%build
%py3_build

%install
%py3_install
desktop-file-install \
    --delete-original \
    --dir=%{buildroot}/%{_datadir}/applications \
    %{buildroot}/%{_datadir}/applications/pysol.desktop

mv %{buildroot}%{_bindir}/pysol.py %{buildroot}%{_datadir}/%{name}
install -m755 %{SOURCE1} %{buildroot}/%{_bindir}/pysol
cp -a PySolFC-Cardsets--Minimal-%{cardsets_minimal_ver}/cardset-* %{buildroot}%{_datadir}/PySolFC
find "%{buildroot}%{python3_sitelib}/pysollib" -name '*.py' | xargs -L1 perl -ln -i -E 'say if (not (($. == 1) and (m&^#![ \t]*/usr/&)))'
%py3_shebang_fix %{buildroot}%{_bindir}/*

%find_lang pysol

%files -f pysol.lang
%license COPYING
%doc README.md
%{python3_sitelib}/pysollib
%{python3_sitelib}/*egg-info
%{_bindir}/pysol
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/applications/*.desktop


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.21.0-1
- initial build
